2011-07-25 Ladislav Hagara <hgr@vabo.cz>
	* PREPARE, DETAILS: linux 3 support added

2011-07-14 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: PATCHLEVEL=1
	* INSTALL: install default nscd config if init script is installed
	* init.d/nscd: added reload() function for cleaning up cache
	* init.d/nscd.conf: added option to select cache tables

2011-05-10 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated default kernel headers to 2.6.38

2011-02-03 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.13, HEADERS_VERSION=2.6.37
	* PRE_BUILD, test-installation.pl.patch: added patch

2010-12-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.12.2, HEADERS_VERSION=2.6.36
	* PRE_BUILD, glibc-2.12.1-never-expand-origin-when-privileged.patch,
	  glibc-2.12.1-require-suid-on-audit.patch: patches removed

2010-10-29 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: SECURITY_PATCH=1, #15892
	* PRE_BUILD, glibc-2.12.1-never-expand-origin-when-privileged.patch,
	  glibc-2.12.1-require-suid-on-audit.patch: added patches

2010-09-12 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* PRE_BUILD: fixed build with make 3.82

2010-08-06 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.12.1, HEADERS_VERSION=2.6.35, gnu.gpg -> glibc.gpg
	* PRE_BUILD, binutils-2.20.patch: removed patch
	* BUILD: added --disable-multi-arch, ldconfid segfaults with --enable
	* glibc.gpg: added with key 6F00984E (Andreas Schwab)

2010-06-13 Bor Kraljič <pyrobor@ver.si>
	* DETAILS: added SOURCE{6,8}_IGNORE for signatures

2010-06-01 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* PRE_BUILD: don't verify the kernel sources twice

2010-05-31 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* gcc45.patch: fixed building with gcc 4.5 #15719
	* PRE_BUILD: apply the patch

2010-05-20 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.11.2, HEADERS_VERSION=2.6.34

2010-02-07 Arwed v. Merkatz <v.merkatz@gmx.net>
	* UP_TRIGGERS: up_trigger libdrm even if drm.h is not in glibc install
	  log, but anything in /usr/include/drm, since cleanse will remove
	  files from the install log if libdrm was installed later, bug 15565

2010-02-06 Eric Sandall <sandalle@sourcemage.org>
	* UP_TRIGGERS: Only trigger cast of libdrm if libdrm is also installed

2010-01-19 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD: Remove kernel DRM headers (Bug #15547)
	* UP_TRIGGERS: Rebuild libdrm if drm/drm.h is registered as from glibc

2009-12-30 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.11.1

2009-12-15 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated default kernel headers to 2.6.32

2009-11-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.11
	* PRE_BUILD, DETAILS: libidn again included in glibc source tarball

2009-10-19 Ladislav Hagara <hgr@vabo.cz>
	* PRE_BUILD, binutils-2.20.patch: added patch due to new binutils 2.20

2009-09-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* BUILD: mimimise optimisations, to prevent race conditions in some other packages

2009-09-18 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated Linux kernel headers to 2.6.31

2009-08-20 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: stubs-32.h and stubs-64.h are also only created if they differ

2009-07-25 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* BUILD: removed the /lib workaround it's always in /lib
	* PREPARE: removed the query it's always in /lib

2009-06-09 Eric Sandall <sandalle@sourcemage.org>
	* init.d/nscd: Also requires /var/db/nscd to exist

2009-05-21 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Install default nscd.conf file
	* init.d/nscd: The long missing nscd init script
	* init.d/nscd.conf: Configure number of starting threads (default 4)

2009-05-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.10.1, updated SOURCE_URL[0], asc -> sig
	  Neumeier.gpg -> gnu.gpg
	* DETAILS, PRE_BUILD: no internal libidn, SOURCE4 and SOURCE5 get back
	* PRE_BUILD, bug-15014.patch: removed patch
	* Neumeier.gpg: removed

2009-04-21 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update default headers to 2.6.29
	  Use standard kernel source for headers to avoid packaging per
	  release and per architecture
	* PRE_BUILD: Unpack default header SOURCE3 and prepare for use
	* BUILD: Update GLIBC_HEADERS_DIR identically for sanitized and
	  non-sanitized headers

2009-03-24 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: fixed a typo for the kernel's sources

2009-01-12 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, bug-15014.patch: patch for link failure on i486 and i686,
	  bug #15014

2008-11-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS, PRE_BUILD: remove libidn related stuff. now in normal tarbal
	* BUILD: fix ia32 usage

2008-11-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.9
	  new url
	* Neumeier.gpg: added
	* PREPARE: change query text
	* PRE_BUILD: don't apply gcc43.patch, fnstsw.patch
	* gcc43.patch, fnstsw.patch: deleted, now included upstream

2008-11-22 Fredrik Carlström <fredrik.carlstrom@tele2.se>
	* DETAILS: update cvs version to latest stable (2.9)
	  optionally use sanitized kernel headers
	  fixes bug #14897
	* PREPARE: update cvs query
	  query for sanitized kernel headers
	* BUILD, PRE_BUILD: adapt for sanitized kernel headers

2008-11-07 : Julien "_kaze_" ROZO <julien@rozo.org>
	* fnstsw.patch: added, fix asm compilation issue for version 2.7
	  with latest binutils
	* PRE_BUILD: apply fnstsw.patch

2008-10-29 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.8 from CVS #14831

2008-10-13 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: Apply localtime.patch for NPTL-based glibc
	* localtime.patch: Do not overwrite /etc/localtime
	  Fixes Bug #14548

2008-09-30 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Set default version to show when unconfigured

2008-08-02 Elisamuel Resto <ryuji@sourcemage.org>
	* DETAILS: updated linux-headers tarballs to 2.6.25; use guru GPG sigs; PATCHLEVEL++

2008-04-10 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depend on autoconf for rebuilding configure
	* PRE_BUILD: Apply gcc43.patch to configure.in
	  Run `autoconf` to rebuild configure from configure.in
	* gcc43.patch: Patch to fix finding limits.h
	  From http://sources.redhat.com/bugzilla/show_bug.cgi?id=5442

2007-10-31 David Brown <dmlb2000@gmail.com>
	* BUILD: updated new cflags for 2.7
	* DETAILS: updated glibc to 2.7

2007-10-21 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_INSTALL: remove each of /usr/include/{asm,asm-generic,linux} if
	  it is a symlink, seems like some installations still have those,
	  which breaks stuff

2007-10-18 David Brown <dmlb2000@gmail.com>
	* DETAILS: updated header version to 2.6.23.1

2007-09-23 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: nisplus_fix.diff and iconv_open.patch removed not needed
	* nisplus_fix.diff: removed
	* iconv_open.patch: removed
	* glibcshared.patch: removed for same reason

2007-09-16 David Brown <dmlb2000@gmail.com>
	* DETAILS: removed GLIBC_ARCH altogether
	* BUILD: removed GLIBC_ARCH gone... and some syntax errors as a result

2007-09-16 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PREPARE: removed the persistent_add GLIBC_ARCH, there seems to be
	  problem with persistent vars set in DETAILS
	* PRE_BUILD: derive GLIBC_HEADERS_DIR from SOURCE3 instead of using
	  GLIBC_ARCH, set GLIBC_HEADERS_DIR to something sane for non-nptl
	  builds

2007-09-16 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* TESTS: added my info
	* DETAILS: don't return negative values

2007-09-15 David Brown <dmlb2000@gmail.com>
	* BUILD: changed out old headers for new headers and removed GLIBC_ARCH
	* DEPENDS: optionally on selinux some of the apps glibc builds use it
	* DETAILS: updated to 2.6.1 and moved checks for GLIBC_ARCH to here
	* INSTALL: install all the headers not just asm and linux
	* PREPARE: add GLIBC_ARCH as persistant here so it gets tracked before
	  details sets it
	* PRE_BUILD: added a patch for autoconf not setting as_test_x for egrep
	* as-test-x.patch: added to add as_text_x to the appropriate configure
	* config.h.patch: changed file to patch so p stays the same

2007-08-06 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: fix typo (bug #13925)

2007-08-06 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: fix broken libidn (bug #13925)

2007-05-13 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Only enable IDN if using a NPTL build (Bug #13771)

2007-05-05 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* PRE_BUILD: remove an useless persistent var (epilogue of #13465)

2007-01-21 Elisamuel Resto <ryuji@sourcemage.org>
	* BUILD, DEPENDS, DETAILS, PREPARE, PRE_BUILD: Added libidn support
	  as per: http://bugs.sourcemage.org/show_bug.cgi?id=13465

2007-01-25 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: added gcc for proper ordering; avoids some compilation errors

2007-01-10 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* PRE_BUILD: fix #11832 by modifying test-installation.pl for grsecurity

2006-12-31 Thomas Orgis <sobukus@sourcemage.org>
	* BUILD: limit these two lib64 lines to x86_64, they trigger
	  an additional configure run that mysteriously fails with a grep error
	  for some ppl on various archs

2006-11-09 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: added patch from upstream bug
	https://bugzilla.samba.org/show_bug.cgi?id=3678
	* glibc-2.4-iconv_open.patch: fix for the iconv_open function

2006-11-01 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DETAILS, INSTALL, PRE_BUILD, nisplus_fix.diff: merge from devel; 2.4

2006-10-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: use TRACK_ROOT when linking #9163

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed BUILD_API=2.

2006-08-15 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed UPDATED (deprecated in favor of
	  PATCHLEVEL).

2006-07-11 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* DEPENDS: added smgl-archspecs, #12814

2006-06-29 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* applied iuso's patch for separating locale generation (from devel) 12552
	* PREPARE, INSTALL: use SMGL_COMPAT_ARCHS for 64b test
	* PRE_INSTALL: removed duplicate tests
	* UP_TRIGGERS: added for 12552

2006-06-29 Juuso Alasuutari <iuso@sourcemage.org>
	* INSTALL: Removed locale generation code.
	* PREPARE: Removed locale query.
	* CONFIGURE: Deleted, had only locale stuff.
	* locale: Deleted.

2006-06-24 Thomas Orgis <sobukus@sourcemage.org>
	* BUILD: added alpha headers/CFLAGS setup, made build fail for
	  unknown arch in a controlled way

2006-06-20 David Brown <dmlb2000@gmail.com>
	* DETAILS: turned off staged install for this spell

2006-06-04 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* BUILD, PRE_INSTALL: check SMGL_COMPAT_ARCHS instead of uname -m

2006-05-19 David Brown <dmlb2000@gmail.com>
	* PRE_INSTALL: removed explicit check of HOST for check against
	  SMGL_COMPAT_ARCHS

2006-04-12 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, nisplus_fix.diff: fix for upstream bug
	  http://sourceware.org/bugzilla/show_bug.cgi?id=2429,
	  set PATCHLEVEL=1 for glibc 2.4

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-11 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated NPTL glibc to 2.4 (linuxthreads has to stay at
	  2.3.6 as linxuthread/kernel 2.4 support has been dropped).
	  Removed DISTCC_HOSTS, make_single in BUILD takes care of that.
	  Seperate 2.3.6 and 2.4 SOURCE*, use upstream signatures where
	  applicable.
	* PRE_BUILD, kd.h.patch: removed, not necessary with 2.4 headers,
	  already applied in 2.4
	* CONFIGURE, DETAILS, INSTALL, locales: removed locale generation, done
	  by the locale spell now, updated PATCHLEVEL for 2.3.6 in DETAILS
	* INSTALL: install kernel headers before running 'make install', as
	  glibc 2.4 decides to recompile some stuff during install which fails
	  otherwise

2006-02-22 Juuso Alasuutari <juuso.alasuutari@tamperelainen.org>
	* DETAILS: patchlevel downgraded to previous value, no need to
	  recompile
	* REPAIR^none^volatiles: added

2006-02-21 Juuso Alasuutari <juuso.alasuutari@tamperelainen.org>
	* volatiles: added for /usr/lib/locale/locale-archive so that
	  adding and removing locales doesn't frighten cleanse
	* DETAILS: bump PATCHLEVEL

2006-02-08 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on smgl-fhs (for directory structure)

2006-02-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on gnupg (for SOURCE verification)

2005-12-23 Robin Cook <rcook@wyrms.net>
	* DETAILS: bump PATCHLEVEL
	* PRE_BUILD: apply kd.h.patch

2005-12-22 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD: fix linux/agpgart.h header
	* DETAILS: set PATCHLEVEL=1 for NPTL glibc
	* PRE_BUILD, glibc-2.3.4-allow-gcc-4.0-iconvdata.patch,
	  glibc-2.3.5-allow-gcc4-string.patch,
	  glibc-2.3.5-allow-gcc4-symbols.patch,
	  glibc-2.3.5-allow-gcc4-wcstol_l.patch,
	  glibc-2.3.5-gcc4_fix_elf-1.patch, csu_makefile.patch:
	  removed unused patches

2005-12-02 Seth Woolley <seth@tautology.org>
	* DETAILS: MD5 -> SHA512 (again)

2005-11-29 Seth Woolley <seth@tautology.org>
	* DETAILS: MD5 -> SHA512

2005-11-28 Seth Woolley <seth@tautology.org>
	* PRE_BUILD: unpack api update

2005-11-05 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: fixed SOURCE_URL (it's in the releases dir, not snapshots)

2005-11-04 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 2.3.6
	* PRE_BUILD: Removed 2.3.5 specific patches
	* WIP: Added to start testing of 2.3.6

2005-09-13 Seth Woolley <seth@tautology.org>
	* PRE_BUILD,glibc-2.3.5-fix-_dl_next_tls_modid-assert.patch:
	  added patch to fix an assertion failure

2005-08-16 George Sherwood <george@beernabeer.com>
	* locales:  Added ru_RU/KOI8-R

2005-07-30 David Brown <dmlb2000@gmail.com>
	* BUILD: removed invoke_gcc command
	* DEPENDS: removed gcc34 from depends
	* PRE_BUILD: added patching of all added patches
	* DETAILS: updated to snapshot of glibc
	* glibc-2.3.4-allow-gcc-4.0-iconvdata.patch: added
	* glibc-2.3.5-allow-gcc4-string.patch: added
	* glibc-2.3.5-allow-gcc4-symbols.patch: added
	* glibc-2.3.5-allow-gcc4-wcstol_l.patch: added
	* glibc-2.3.5-gcc4_fix_elf-1.patch: added

2005-07-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated headers to 2.6.12.0
	  Removed some trailing whitespaces

2005-07-02 Andrew Stitt <astitt@sourcemage.org>
	* BUILD: add --without-__thread to OPTS if building linuxthreads

2005-06-30 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PREPARE: don't allow NPTL glibc on i386, fixes bug #8399

2005-06-20 David Brown <dmlb2000@excite.com>
	* SOLO: added part of bug #9110

2005-06-05 David Brown <dmlb2000@excite.com>
	* csu_makefile.patch: added fix creation of the version-info.h file
	* PRE_BUILD: added application of the patch

2005-05-18 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: Removed 'cause glibc-kernel-headers got removed

2005-05-18 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, DEPENDS, DETAILS: use gcc 3.4

2005-05-15 Seth Woolley <seth@tautology.org>
	* PREPARE,BUILD,INSTALL: add fixes for bug 8626,
	  for a pure non-lib64 64-bit system
	* INSTALL: add afrayedknot's install_root fix

2005-05-16 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: # Something adds "-O" to CFLAGS so the prior check didn't work
	  Now we just put "-Os" first in CFLAGS so the user's CFLAGS override
	  ours if they want something other than "tiny", however, I noticed that
	  my compile log still shows "-O -Os", so glibc still puts "-O" in even
	  if we already have optimizations, but luckily the let ours override
	  theirs (Fixes Bug #8595)

2005-04-25 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated 2.6 glibc headers to 2.6.11.2
	  Updated UPDATED as these headers fix a compile problem with
	  at least howl (thanks Flintz)

2005-04-11 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: glibcshared.patch now uses -p1
	* glibcshared.patch: Updated for glibc 2.3.5

2005-04-09 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated md5sum for 2.4 version (thanks Andrew)

2005-04-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.3.5
	  Removed MAKE_NJOBS=1
	* BUILD: Run make_single for the entire process

2005-04-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated linux-libc-headers to 2.6.11.1
	* HISTORY: Formatted to 80 columns

2005-03-13 Seth Woolley <seth@tautology.org>
	* PRE_INSTALL: support for pure amd64 environment backup

2005-02-19 Arwed v. Merkatz <v.merkatz@gmx.net>
	* CONFLICTS: instead of using 'conflicts glibc-kernel-headers y', just
	  dispel --notriggers glibc-kernel-headers so any remaining glibc
	  triggers aren't executed
	* PRE_BUILD: disable libgd detection/building memusagestat by sediting
	  configure, quick&dirty fix for bug #8277

2005-02-18 Eric Sandall <sandalle@sourcemage.org>
	* config.h.patch: Don't say the compilation was aborted when it wasn't

2005-02-18 Arwed v. Merkatz <v.merkatz@gmx.net>
	* TRIGGERS: removed

2005-02-14 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: Auto-conflict with deprecated glibc-kernel-headers
	  (Bug #8237)

2005-02-13 Arwed v. Merkatz <v.merkatz@gmx.net>
	* INSTALL: added a workaround for the broken glibc-kernel-headers
	  install on the 0.9.3 iso

2005-02-11 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated linux-libc-headers to 2.6.10.0

2005-02-09 Eric Sandall <sandalle@sourcemage.org>
	* PRE_INSTALL: Don't fail if glibc isn't installed (e.g. install_root)

2005-02-08 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, BUILD: set up the 2.4 kernel headers in the correct way

2005-02-06 Arwed v. Merkatz <v.merkatz@gmx.net>
	* INSTALL: fix installation of asm-generic headers for linuxthreads
	  glibc

2005-02-05 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_INSTALL: don't use default_pre_install, sorcerys save_libraries
	  can do harmful things for glibc. PRE_INSTALL now copies all regular
	  files from /lib to $SOURCE_DIRECTORY.bld/old.libs, ldconfig's that
	  dir and then sets up the /lib/{ld-linux.so.2,ld.so.1} link. After
	  that the whole system will use the libraries in
	  $SOURCE_DIRECTORY.bld/old.libs, so dispelling the old glibc works.
	* makelinks: removed, not needed anymore
	* Makefile.patch, PRE_BUILD: patch the main Makefile so glibc doesn't
	  replace /lib/ld-linux.so.2 before running ldconfig

2005-01-29 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: set CPPFLAGS to include the sanitized headers, fixes building
	  on systems with no kernel headers in /usr/include
	* DETAILS: updated both NPTL and non-NPTL to use the 2.3.4 release
	  tarball
	* locales: de_DE@euro needs ISO-8859-15, not ISO-8859-1
	* PRE_BUILD: always apply glibcshared.patch
	* glibcshared.patch: updated to match the line numbers in this glibc
	* INSTALL: fix generation of UTF8 locales
	* PRE_INSTALL: make /lib/ld-linux.so.2|/lib/ld.so.1 point to the ld.so
	  in the now built glibc so it doesn't break when the old ld.so is
	  removed during dispel

2005-01-08 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Don't fail if files are left from a prior (possibly
	  untracked or broken) install

2005-01-07 Arwed v. Merkatz <v.merkatz@gmx.net>
	* FINAL: remove $SOURCE_DIRECTORY.bld

2005-01-06 Arwed v. Merkatz <v.merkatz@gmx.net>
	* INSTALL: check GLIBC_UTF variable not UTF for utf-8 locales

2004-12-11 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated NPTL version to 2.3.4
	  Updated non-NPTL version to 2.3.3
	  SOURCE3 removed, SOURCE4 renamed
	  Use CVS_VERSION for the NPTL release
	* PRE_BUILD: SOURCE3 removed, renamed SOURCE4 to SOURCE3
	  Removed application of 2.3.2 gcc 3.3 patch
	* CONFIGURE,INSTALL: Use locales instead of locales-$VERSION
	* locales: Branched from locales-2.3.3 as both versions of glibc now use
	  the locales from 2.3.3+
	* locales-2.3.2,locales-2.3.3: Removed
	* WIP: This new "setup" for glibc fixes some problems on my SPARC and
	  needs to be tested again, sorry about that.

2004-12-10 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: More fixes for sparc64 from Gentoo's 2.3.3 ebuild

2004-12-09 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: In case this is a clean install without a prior glibc, setup
	  INSTALL_ROOT/etc/ld.so.conf

2004-11-30 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Need to echo $CFLAGS into grep for it to work
	  Removed all references to CXXFLAGS (glibc has never used C++...)

2004-11-29 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Apply CFLAGS fixes from a Gentoo ebuild for sparc and sparc64.
	  No longer uses echo to remove -ffast-math from CFLAGS.
	  Don't try to use sparc64 headers when building for sparc32 on a
	  sparc64.
	  If building for sparc64, set CC to gcc64, not gcc (untested!).
	* config.h.patch: Instead of removing the #errors, replace them with
	  #warnings to match the spirit of the errors.
	* INSTALL: Force copy in case files/directories exist from a prior,
	  possibly broken, installation.
	  Fix installation of 2.4 headers.
	* CONFIGURE: Don't use config_query, but instead query every time
	  (otherwise you'll always get the menu if you say 'y' and never use
	  '-r' with cast).

2004-11-24 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Removed IFS code and set to use config_query instead of
	  query
	  Removed add_status() and make_locales_checklist()
	* locales-2.3.2,locales-2.3.3: Replaced spaces in all description fields
	  with "_"
	  Removed TABs
	  Added "off" flag for each entry
	  Formatted to look nice. :)
	* HISTORY: Formatted my prior entries to 80 columns

2004-11-23 Eric Sandall <sandalle@sourcemage.org>
	* Merging glibc-kernel-headers with glibc (Bug #7560)
	* Removed glibc log cleanup of headers (since it now does install the
	  headers)
	* I have simplified glibc-kernel-headers selection to either install
	  the 2.6 headers if you chose NPTL, or 2.4 headers if you didn't
	  choose NPTL, whereas the prior method allowed you to have 2.6 headers
	  with or without NPTL.
	* DETAILS: Added glibc-kernel-headers for 2.4 and 2.6 kernels
	  Moved DISTCC_HOSTS and MAKE_NJOBS=1 to "global" area
	* BUILD: Use --with-headers= to use included glibc-kernel-headers
	  (Bug #7560)
	  Setup glibc-kernel-headers for compilation (2.4 headers need extra
	  setup)
	  Clean up formatting
	* BUILD,PRE_BUILD: Moved patches from BUILD to PRE_BUILD
	* PRE_BUILD: Merged permission fix from glibc-kernel-headers
	* INSTALL: Added ARCH code
	  Cleaned up formatting
	  Removed MAKE_NJOBS=1
	  Renamed UTF, INPUTFILE, CHARMAP, LOCALE, and DESCRIPTION to be
	  prefixed with GLIBC_
	  Made GLIBC_INPUTFILE, GLIBC_CHARMAP, GLIBC_LOCALE, and
	  GLIBC_DESCRIPTION local variables
	  Install glibc-kernel-headers at the end
	* PREPARE: Remove ldconfig protected hack (Sorcery takes care of this)
	  Renamed UTF and NPTL to GLIBC_UTF and GLIBC_NPTL, respectively
	* DEPENDS: No longer depends on glibc-kernel-headers
	* CONFLICTS: glibc now conflicts with glibc-kernel-headers ;)
	* TRIGGERS: On dispel or cast of glibc-kernel-headers, recast glibc
	  There may be a smarter/better way to do this, but this'll work for now
	* WIP: Removed all verified tests as the "new" glibc needs testing. :)
	  Added "name" field to keep track of who has tested
	* config.h.patch: Fixes xorg (and others) compilation against 2.6
	  Integrated from glibc-kernel-headers
	* makelinks, BUILD, INSTALL, PRE_BUILD, DETAILS: Renamed NPTL to
	  GLIBC_NTPL
	* makelinks: Cleaned up formatting

2004-10-29 Robin Cook <rcook@wyrms.net>
	* BUILD: changed all "$NPTL" = "yes" to $NPTL = "y"
	  changed "$CROSS_INSTALL" = "on" to "$CROSS_INSTALL" == "on"
	  removed section belonging in INSTALL
	* DETAILS: changed all "$NPTL" = "yes" to $NPTL = "y"
	  added BUILD_API=2
	* INSTALL: added with parts from BUILD that belong here
	* makelinks: changed all "$NPTL" = "yes" to $NPTL = "y"
	* PRE_BUILD: changed all "$NPTL" = "no" to $NPTL = "n"
	* PREPARE: changed to using config_query
	* POST_INSTALL: moved to FINAL

2004-10-12 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Move prerelease comment out of VERSION flag
	  Shortened SHORT
	* HISTORY: Formatted to Guru Handbook

2004-09-15 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* DETAILS: snapshot 20040907

2004-08-25 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: only apply glibcshared.patch to the NPTL glibc, bug #7204

2004-07-16 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* glibcshared.patch: added (from gentoo) to fix but #7095
	* BUILD: added patch

2004-07-03 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated snapshot to 20040628

2004-03-30 Eric Sandall <sandalle@sourcemage.org>
	* PREPARE: Extra space typo

2004-03-25 hgg <hgreig@bigpond.net.au>
	* BUILD: adding non-nptl CROSS_INSTALL hacks

2004-03-15 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: use --enable-kernel=2.6 instead of current for nptl, otherwise
	  prevents you from going back to earlier 2.6 kernels
	* DETAILS: changed UPDATED

2004-03-10 hgg <hgreig@bigpond.net.au>
	* DETAILS: still no official glibc release, but lots of bugfixes in cvs
	* PRE_BUILD: nptl is included in the tarball
	* BUILD: no patching needed for /lib/libc.so.6 to report it's version
	* glibc-nptl-fix-asserts.patch: remove (as above)

2004-02-18 hgg <hgreig@bigpond.net.au>
	* BUILD: fix two typos in my cross_install hack

2004-02-03 hgg <hgreig@bigpond.net.au>
	* BUILD: modify behaviour for CROSS_INSTALL. uses regular paths to
	  compile (or it hardcodes invalid paths) but then installs to
	  INSTALL_ROOT. Works for a x86 -> x86 crossinstall (iso procduction),
	  will work for other "non-cross-compile" crossinstalls. true
	  cross-compiling might need more work.

2004-01-31 hgg <hgreig@bigpond.net.au>
	* DETAILS: update UPDATED, this needs testing by more than sandalle
	  before it can be integrated into test.

2004-01-20 hgg <hgreig@bigponnd.et.au>
	* DEPENDS: remove autoconf
	* BUILD: add export CCACHE_RECACHE=true so ccache users can't be bitten
	  by bug#5570

2004-01-20 hgg <hgreig@bigpond.net.au>
	* BUILD: check for saved libraries (from prepare_install) as an empty
	  install log ruins the whole plan
	* BUILD,CONFIGURE,DEPENDS: remove the headers copying, now depends on a
	  glibc-kernel-headers spell
	* locales-2.3.2,locales-2.3.3: needs seperate locales for each version

2004-01-13 hgg <hgreig@bigpond.net.au>
	* DETAILS: change to use if ... else ... fi
	* BUILD: provide 2nd locale file for 2.3.2 version, move links after
	  prepare_install to a function outside the FIFO and just call the
	  function (much cleaner/ more readable)

2004-01-11 hgg <hgreig@bigpond.net.au>
	* BUILD: ldconfig will relink any alien glibc files in /lib or /usr/lib
	  ldconfig -X stops it relinking them.

2004-01-09 Arwed v. Merkatz <v.merkatz@gmx.net>
	* linux-2.6-header-fix.patch: add another fix, not redefining 'inline'
	  in compiler-gcc3.h

2004-01-04 hgg <hgreig@bigpond.net.au>
	* locales: regenerated from the actual locale files and now using the
	  proper native charset. Now if you want to use UTF-8 for a locale that
	  has it's own native charset, just change LANG to $LANG.UTF-8 in your
	  profile
	* PREPARE,BUILD: ask if user wants UTF-8 locales (to fix bug with gtk+
	  apps) and shuffle the localedef stuff for nicer output, add optional
	  UTF-8 usage, fixes bug #5444
	* BUILD: more symlinks so normal system is maintained during the make
	  install stage

2003-12-23 hgg <hgreig@bigpond.net.au>
	* BUILD: copy the headers immediately after prepare_install
	* BUILD: use the headers from currently running kernel
	* BUILD, linux-2.6-headers-fix.patch: add a few more fixes, appears to
	  be a good fix for fb.h
	  I have tested with MPlayer SDL(needs an extra flag) directfb , libggi
	* DETAILS: add sourcemage mirror for the glibc 2.3.2 sscanf patch

2003-12-16 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD: moved --enable-kernel=current to nptl options (breaks
	  compilation for linuxthreads on linux-2.6.0-test11)
	* BUILD, linux-2.6-headers-fix.patch: added patch to fix some kernel
	  headers so they can be included by apps (only videodev.h and
	  videodev2.h so far)
	* locales: added UTF-8 locales

2003-12-15 hgg <hgreig@bigpond.net.au>
	* BUILD: change to use "if ... ; then ... ; fi" after prepare_install
	  or make install is run even when make has failed. (more of same)
	  I should have thought that through before I tried to make it so lean
	  and clean :(

2003-12-14 hgg <hgreig@bigpond.net.au>
	* DETAILS,PRE_BUILD,BUILD,PREPARE,CONFIGURE: Optional nptl (if running
	  2.6 kernel)
	* DETAILS: nptl build seems to need distcc turned off, in this case
	  better safe than sorry
	* BUILD: glibc is happiest installing from a few symlinks to the new
	  libraries. BUILD now makes symlinks after prepare_install (while the
	  old libs are still preloaded by sorcery) then reruns ldconfig so only
	  the new version and symbols are used. "make install" then adjusts all
	  symlinks to point to the correct version.
	  Version updates, or even architecture updates should never fail tests
	  or segfault now, "make install" is using the newset libs already
	* glibc-nptl-fix-asserts.patch: A patch so /lib/libc.so.6 will report
	  version strings and compile stats correctly if nptl is built

2003-12-01 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Use INSTALL_ROOT

2003-10-20 Seth Woolley <seth@tautology.org>
	* BUILD, DETAILS: Security fix, downloads patch for grp/initgroups.c
	* HISTORY: new history format

2003-09-29 hgg <hgreig@bigpond.net.au>
	* BUILD: Remove that hack, and edit BUILD to remove the files during
	  prepare_install, re-add the export CC=gcc line needed for new install

2003-09-22 Eric Schabell <eschabell@sourcemage.org>
	* BUILD: Patch for Build file, allows for tracking of two files that
	  were alien in glibc. (fix for iso team).

2003-08-31 hgg <hgreig@bigpond.net.au>
	* TRIGGERS: Remove trigger "on_cast gettext cast_self"

2003-07-23 hgg <hgreig@bigpond.net.au>
	* BUILD: Comment "unset LD_PRELOAD" so locale stuff is tracked (Major
	  version updates might require it later)
	* TRIGGERS: Add to TRIGGERS and update UPDATED in case libiconv is
	  installed then dispelled removing some of glibc's files.

2003-07-08 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Fixes a 'gcc not found' error during configure on some
	  systems

2003-06-15 Eric Sandall <sandalle@sourcemage.org>
	* BUILD/DETAILS: gcc 3.3 patch from LFS, thanks to Wolfgang

2003-03-30 Julian v. Bock <julian@wongr.net>
	* locales: fix some spelling errors.
	* BUILD: remove unset LD_PRELOAD; remove -ffast-math from
	  CFLAGS.

2003-04-08 M.L. <mlubrano@sourcemage.org>
	* BUILD: Added $OPTS in BUILD.

2003-03-19 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 2.3.2.
	* BUILD: build glibc in separate directory.
	* PRE_BUILD: likewise.
	* POST_INSTALL: add.

2003-02-26 Julian v. Bock <julian@wongr.net>
	* TRIGGERS: add.

2003-01-07 Julian v. Bock <julian@wongr.net>
	* PRE_BUILD: pass md5 to unpack.

2002-12-10 Julian v. Bock <julian@wongr.net>
	* CONFIGURE: source $SPELL_CONFIG if the user does not reconfigure
	  locales.

2002-11-16 Julian v. Bock <julian@wongr.net>
	* DEPENDS: add gettext dependency.
	* DETAILS: update UPDATED because of gettext update.

2002-11-10 Julian v. Bock <julian@wongr.net>
	* DETAILS: add LICENSE and MD5 fields.

2002-10-24 Julian v. Bock <julian@wongr.net>
	* BUILD: execute ldconfig after make install.

2002-10-06 Julian v. Bock <julian@wongr.net>
	* DETAILS: set VERSION to 2.3.1.
	* glibc-2.2.5-weak-alias.patch: remove.
	* glibc-2.2.5.patch: likewise.
	* sunrpc-2.2.5.patch: likewise.

2002-10-02 Julian v. Bock <julian@wongr.net>
	* CONFIGURE: replace newlines locale list with spaces
	  (thanks to Robert Helgesson).

2002-08-21 Julian v. Bock <julian@wongr.net>
	* glibc-2.2.5-weak-alias.patch: add.
	* BUILD: apply patch.
	* PRE_BUILD: remove autoconf stuff.

2002-03-10 Julian v. Bock <julian@wongr.net>
	* BUILD: escape grep -O option.

2002-01-22 Kyle Sallee <cromwell@metalab.unc.edu>
	* BUILD: Create patch for compiling and installing glibc 2.2.5.
	  Also happy birthday to me.

2002-01-11 Kyle Sallee <cromwell@metalab.unc.edu>
	* BUILD: Added the saving old libs into a directory and exporting
	  LD_LIBRARY_PATH with that directory.
	  This should keep the make install from breaking.
